#
# spec file for package perl-Module-Runtime-Conflicts
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Module-Runtime-Conflicts
Version:        0.003
Release:        lp152.3.2
%define cpan_name Module-Runtime-Conflicts
Summary:        Provide information on conflicts for Module::Runtime
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Module-Runtime-Conflicts/
Source0:        http://www.cpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Dist::CheckConflicts)
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(Dist::CheckConflicts)
Requires:       perl(Module::Runtime)
%{perl_requires}

%description
This module provides conflicts checking for Module::Runtime, which had a
recent release that broke some versions of Moose. It is called from
Moose::Conflicts and 'moose-outdated'.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING LICENCE README

%changelog
* Thu Jun 23 2016 coolo@suse.com
- updated to 0.003
  see /usr/share/doc/packages/perl-Module-Runtime-Conflicts/Changes
  0.003     2016-06-23 03:40:02Z
  - Makefile.PL now also checks for incompatible Moose versions
* Tue Apr 14 2015 coolo@suse.com
- initial package $version
  * created by $NAME $VERSION
